HttpClients (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client
Class HttpClients

    java.lang.Object
      org.apache.http.impl.client.HttpClients

    public class HttpClients

extends Object

Factory methods for `CloseableHttpClient` instances.

Since:
  4.3

Method Summary
`static CloseableHttpClient` | `createDefault()` Creates `CloseableHttpClient` instance with default configuration.
`static CloseableHttpClient` | `createMinimal()` Creates `CloseableHttpClient` instance that implements the most basic HTTP protocol support.
`static CloseableHttpClient` | `createMinimal(HttpClientConnectionManager connManager)` Creates `CloseableHttpClient` instance that implements the most basic HTTP protocol support.
`static CloseableHttpClient` | `createSystem()` Creates `CloseableHttpClient` instance with default configuration based on system properties.
`static HttpClientBuilder` | `custom()` Creates builder object for construction of custom `CloseableHttpClient` instances.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### custom

    public static HttpClientBuilder custom()

  Creates builder object for construction of custom `CloseableHttpClient` instances.

### createDefault

    public static CloseableHttpClient createDefault()

  Creates `CloseableHttpClient` instance with default configuration.

### createSystem

    public static CloseableHttpClient createSystem()

  Creates `CloseableHttpClient` instance with default configuration based on system properties.

### createMinimal

    public static CloseableHttpClient createMinimal()

  Creates `CloseableHttpClient` instance that implements the most basic HTTP protocol support.

### createMinimal

    public static CloseableHttpClient createMinimal(HttpClientConnectionManager connManager)

  Creates `CloseableHttpClient` instance that implements the most basic HTTP protocol support.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.